본문으로 건너뛰기

Webhooks REST API

업데이트 날짜:
2026년 7월 1일

OpenAPI Specification

View the complete OpenAPI specification for this REST API.

개요

The Webhooks REST API enables you to deploy and manage your Webhooks using a REST API interface.

Adding, updating, and managing your Webhooks is quick and easy!

접근

To access the Webhooks REST API, you will first need to create an API key. Your API key should be set as an x-api-key header with your requests.

API Base URL: https://api.quicknode.com/

지원되는 네트워크

The Webhooks REST API is available on these chains and networks:

체인메인넷테스트넷
0gGalileo Testnet
초록테스트넷
Arbitrum세폴리아
아비트럼 노바
아크테스트넷
Ault테스트넷
Avalanche C-ChainFuji
B3세폴리아
기본세폴리아
BeraBepolia
비트코인테스트넷4
비트코인 캐시테스트넷
폭발세폴리아
BNB 스마트 체인테스트넷
Celo
사이버세폴리아
도지코인
이더리움Hoodi, Sepolia
Fantom
플레어테스트넷
흐름테스트넷
유창한테스트넷
프랙스탈
그노시스
중력
헤데라테스트넷
헤미테스트넷
Hyperliquid EVM테스트넷
Hyperliquid Hypercore
불변 zkEVM테스트넷
단사테스트넷
잉크세폴리아
재팬 오픈 체인
카이아테스트넷
카타나
렌즈테스트넷
리네아
리스크
라이트코인테스트넷
맨틀세폴리아
MegaETH
모카테스트넷
모드
모나드테스트넷
모프후디
낙관주의세폴리아
Peaq
플라즈마테스트넷
폴리곤Amoy
Polygon zkEVMCardona Testnet
로빈후드테스트넷
사하라테스트넷
스크롤테스트넷
세이테스트넷
솔라나Devnet, Testnet
소니움
소닉
소폰
스텔라테스트넷
DATAAeneid Testnet
템포테스트넷
트론
유니체인세폴리아
바나Moksha Testnet
Worldchain세폴리아
X 레이어테스트넷
Xai세폴리아
XRP 원장테스트넷
XRPL EVM테스트넷
zkSync세폴리아
조라

API Endpoints

The Webhooks REST API provides the following endpoints for managing your webhooks:

Creating Webhooks

Webhooks are created using predefined templates that cover common use cases:

Advanced Filtering

If you need a filter that isn't covered by our templates, please contact support to request a new template. For advanced filtering capabilities with custom JavaScript functions, consider using Streams.

Available Templates

  • evmWalletFilter: Monitor specific EVM wallet addresses
  • evmContractEvents: Monitor specific contract events
  • evmAbiFilter: Monitor contracts using ABI definitions
  • solanaWalletFilter: Monitor specific Solana account addresses
  • bitcoinWalletFilter: Monitor specific Bitcoin wallet addresses
  • xrplWalletFilter: Monitor specific XRP Ledger wallet addresses
  • hyperliquidWalletEventsFilter: Monitor specific Hyperliquid wallet addresses
  • stellarWalletTransactionsSourceAccountFilter: Monitor specific Stellar wallet addresses

How to use templates: When creating a webhook from a template, the templateArgs object contains the template-specific properties directly. The template type is specified in the URL path (/webhooks/template/{templateId}), and the templateArgs contains the actual configuration data for that template. You can provide either inline values (e.g. wallet addresses directly) or reference names of kv store lists.

Example: For the evmWalletFilter template, you would:

  • Use URL: /webhooks/template/evmWalletFilter
  • Include in body (inline): "templateArgs": { "wallets": ["0x1234..."] }
  • Or (list reference): "templateArgs": { "walletsListName": "my_wallets_list" }

Managing Webhooks

Controlling Webhooks

인증

All API requests require authentication using your Quicknode API key. Include your API key in the request headers:

x-api-key: YOUR_API_KEY

Error Handling

The API returns standard HTTP status codes:

  • 200 OK: Request successful
  • 201 Created: Resource created successfully
  • 400 Bad Request: Invalid request parameters
  • 401 Unauthorized: Invalid or missing API key

Webhook Configuration

When creating or updating webhooks, you can configure the following parameters:

  • Name: A descriptive name for your webhook
  • Network: The blockchain network to monitor
  • Notification Email: Email address for termination notifications
  • Destination Attributes: Object containing:
    • URL: The endpoint where data will be sent
    • Security Token: Token for webhook authentication
    • Compression: Optional gzip compression for payloads
  • Status: Whether the webhook is active or paused
  • Template Args: Template-specific arguments (for template-based webhooks)

Template-Based Webhooks

Template-based webhooks provide a simplified way to create common webhook configurations:

evmWalletFilter

Monitor specific EVM wallet addresses:

{
"templateArgs": {
"wallets": ["0x1234...", "0x5678..."]
}
}

evmContractEvents

Monitor specific contract events (both fields are optional, but at least one should be provided):

{
"templateArgs": {
"contracts": ["0x1234..."],
"eventHashes": ["0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef"]
}
}

solanaWalletFilter

Monitor specific Solana accounts:

{
"templateArgs": {
"accounts": ["9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"]
}
}

bitcoinWalletFilter

Monitor specific Bitcoin wallet addresses:

{
"templateArgs": {
"wallets": ["bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh"]
}
}

evmAbiFilter

Monitor contracts using ABI definitions (abi is required, contracts is optional):

{
"templateArgs": {
"abi": "[{\"anonymous\":false,\"inputs\":[{\"indexed\":true,\"name\":\"from\",\"type\":\"address\"}]}]",
"contracts": ["0x1234..."]
}
}

xrplWalletFilter

Monitor specific XRP Ledger wallet addresses:

{
"templateArgs": {
"wallets": ["rN7n3473SaZBCG4dFL83w7p1W9cgZw6]"]
}
}

hyperliquidWalletEventsFilter

Monitor specific Hyperliquid wallet addresses:

{
"templateArgs": {
"wallets": ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"]
}
}

stellarWalletTransactionsSourceAccountFilter

Monitor specific Stellar wallet addresses:

{
"templateArgs": {
"wallets": ["GDQP2KPQGKIHYJGXNUIYOMHARUARCA7DJT5FO2FFOOUJ3B2BNQKFIGS"]
}
}

Using List References

Instead of providing inline values, you can reference kv store lists. This is useful for managing large sets of addresses:

{
"templateArgs": {
"walletsListName": "my_wallets_list"
}
}

For contract events with kv store lists:

{
"templateArgs": {
"contractsListName": "my_contracts_list",
"eventHashesListName": "my_event_hashes_list"
}
}

Advanced Filtering

For advanced filtering capabilities with custom JavaScript functions, consider using Streams, which provides full support for custom filter functions. Streams allows you to write JavaScript-based filtering logic to process and filter blockchain data before delivery.

For more information about filter functions in Streams, see the Filters documentation.

Webhook Delivery

When a webhook is triggered, Quicknode sends a POST request to your specified URL with the filtered blockchain data. The payload includes:

  • data: The filtered blockchain events
  • metadata: Information about the webhook and delivery

보안

The recommended way to secure your Webhook's destination endpoint is by implementing HMAC verification. This cryptographic method ensures that the incoming messages are coming from Webhooks and haven't been tampered with. For detailed information on implementing HMAC verification, see our guide on Validating Incoming Streams Webhook Messages.

IP Allowlisting (Additional Security)

As an additional security measure, you can restrict access to your destination endpoint to specific IP addresses. Webhooks delivers data from the following IP address:

141.148.40.227

By adding this IP to your allowlist, you can add an extra layer of security to ensure that only legitimate Webhooks traffic is accepted by your webhook server.

Getting Help

If you need assistance with the Webhooks REST API:

이 문서 공유하기